'use strict';

Object.defineProperty(exports, '__esModule', {
    value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require('react'));

var _clsx = _interopRequireDefault(require('clsx'));

var _propTypes = _interopRequireDefault(require('prop-types'));

var _colorManipulator = require('@material-ui/core/styles/colorManipulator');

var _makeStyles = _interopRequireDefault(require('@material-ui/styles/makeStyles'));

var _List = _interopRequireDefault(require('../List'));

function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : { default: obj };
}

/* eslint-disable */
var useStyles = (0, _makeStyles.default)(function (_ref) {
    var text = _ref.palette.text;
    return {
        root: function root(_ref2) {
            var shouldBeVisible = _ref2.shouldBeVisible,
                primary = _ref2.primary,
                isOpen = _ref2.isOpen;
            return {
                position: 'fixed',
                top: 0,
                width: '100%',
                display: 'flex',
                flexDirection: 'row',
                justifyContent: 'space-between',
                alignItems: 'flex-start',
                height: 95,
                padding: '25px 55px',
                zIndex: 6000,
                boxSizing: 'border-box',
                transition: 'height 1s ease, background 1s ease',
                backgroundColor:
                    shouldBeVisible || isOpen
                        ? ''.concat((0, _colorManipulator.alpha)(primary ? text.primary : text.secondary, 0.96))
                        : 'rgba(0, 0, 0, 0)'
            };
        },
        isOpen: function isOpen() {
            return {
                height: '100%'
            };
        }
    };
});

var SiteHeader = function SiteHeader(_ref3) {
    var leftNodes = _ref3.leftNodes,
        rightNodes = _ref3.rightNodes,
        isOpen = _ref3.isOpen,
        primary = _ref3.primary,
        shouldBeVisible = _ref3.shouldBeVisible;
    var classes = useStyles({
        shouldBeVisible: shouldBeVisible,
        primary: primary,
        isOpen: isOpen
    });
    return /*#__PURE__*/ _react.default.createElement(
        'div',
        {
            className: (0, _clsx.default)(classes.root, isOpen && classes.isOpen)
        },
        /*#__PURE__*/ _react.default.createElement(_List.default, null, leftNodes),
        /*#__PURE__*/ _react.default.createElement(_List.default, null, rightNodes)
    );
};

SiteHeader.propTypes = {
    shouldBeVisible: _propTypes.default.bool,
    primary: _propTypes.default.bool,
    leftNodes: _propTypes.default.arrayOf(_propTypes.default.node),
    rightNodes: _propTypes.default.arrayOf(_propTypes.default.node)
};
SiteHeader.defaultProps = {
    shouldBeVisible: true,
    primary: true,
    leftNodes: [],
    rightNodes: []
};
var _default = SiteHeader;
exports.default = _default;
